Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Data Fields
Lucene::ArrayData< TYPE > Class Template Reference

`#include <Array.h>`

## Public Member Functions

| ArrayData (int32_t size)
| ~ArrayData ()
void | resize (int32_t size)

## Data Fields

TYPE * | data
int32_t | size

## Constructor & Destructor Documentation

template<typename TYPE >

Lucene::ArrayData< TYPE >::ArrayData | ( | int32_t | size) |  |

inline

References Lucene::ArrayData< TYPE >::data, and Lucene::ArrayData< TYPE >::resize().

template<typename TYPE >

Lucene::ArrayData< TYPE >::~ArrayData | ( | ) |  |

inline

References Lucene::ArrayData< TYPE >::resize().

## Member Function Documentation

template<typename TYPE >

void Lucene::ArrayData< TYPE >::resize | ( | int32_t | size) |  |

inline

References Lucene::AllocMemory(), Lucene::ArrayData< TYPE >::data, Lucene::FreeMemory(), Lucene::ReallocMemory(), and Lucene::ArrayData< TYPE >::size.

Referenced by Lucene::ArrayData< TYPE >::ArrayData(), and Lucene::ArrayData< TYPE >::~ArrayData().

## Field Documentation

template<typename TYPE >

TYPE* Lucene::ArrayData< TYPE >::data

Referenced by Lucene::ArrayData< TYPE >::ArrayData(), Lucene::Array< wchar_t >::equals(), Lucene::Array< wchar_t >::get(), Lucene::Array< wchar_t >::operator[](), and Lucene::ArrayData< TYPE >::resize().

template<typename TYPE >

int32_t Lucene::ArrayData< TYPE >::size

Referenced by Lucene::Array< wchar_t >::equals(), Lucene::ArrayData< TYPE >::resize(), and Lucene::Array< wchar_t >::size().

The documentation for this class was generated from the following file:

- Array.h

clucene.sourceforge.net